import React, { useState } from 'react';
import ReactDOM from 'react-dom/client';
import './index.css';
import MinApp from './MinApp';
import AnchorPoints from './AnchorPoints';
import Inheritance from './Inheritance';
import FractalLayout from './FractalLayout';
import Controls from './Controls';
import CompositeNodes from './CompositeNodes';
import OrgChart from './OrgChart';
import TabbedView from './TabbedView'


const Sample = (props) => {
  const [id, setId] = useState(props.id);

  const samples = {
    "MinApp": MinApp,
    "AnchorPoints": AnchorPoints,
    "Inheritance": Inheritance,
    "FractalLayout": FractalLayout,
    "Controls": Controls,
    "CompositeNodes": CompositeNodes,
    "OrgChart": OrgChart,
    "TabbedView": TabbedView
  };

  const navigate = (sampleId) => {
    setId(sampleId);
  }

  const TagName = samples[id];

  return (
    <div>
      <div>
        <ul className="menu">
          {Object.keys(samples).map((key) => {
            return (<li className="menu-item" key={key} value={key} onClick={() => navigate(key)} >{key}</li>)
          })
          }
        </ul>
      </div>
      <div>
        <TagName />
      </div>
    </div>
  );
}



const root = ReactDOM.createRoot(document.getElementById("root"));

root.render(
  <React.StrictMode>
    <Sample id="MinApp" />
  </React.StrictMode>
);

export default Sample;